Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenReferenceNewElementSpec

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenFeatureInitializer, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenReferenceNewElementSpecImpl

    public interface GenReferenceNewElementSpec

extends GenFeatureInitializer

A representation of the model object 'Gen Reference New Element Spec'.

The following features are supported:

- `New Element Initializers`

See Also:
  `GMFGenPackage.getGenReferenceNewElementSpec()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='feature <> null implies feature.ecoreFeature.oclIsKindOf(ecore::EReference)' description='\'feature\' of \'GenReferenceNewElementSpec\' must refer to ecore::EReference'"

Method Summary
`org.eclipse.emf.common.util.EList<GenFeatureSeqInitializer>` `getNewElementInitializers()` Returns the value of the 'New Element Initializers' containment reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenFeatureInitializer
`getFeature, getFeatureSeqInitializer, setFeature`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNewElementInitializers

    org.eclipse.emf.common.util.EList<GenFeatureSeqInitializer> getNewElementInitializers()

  Returns the value of the 'New Element Initializers' containment reference list. The list contents are of type `GenFeatureSeqInitializer`. It is bidirectional and its opposite is '`Creating Initializer`'.

  If the meaning of the 'New Element Initializers' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'New Element Initializers' containment reference list.
  See Also:
    `GMFGenPackage.getGenReferenceNewElementSpec_NewElementInitializers()`, `GenFeatureSeqInitializer.getCreatingInitializer()`
  ** Generated **
  Model:
    opposite="creatingInitializer" containment="true" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.